Bug 796434 - [RFE] Add clone action to activation keys
[RFE] Add clone action to activation keys
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: WebUI (Show other bugs)
1.6
All All
unspecified Severity low
: ---
: ---
Assigned To: Stephen Herr
Red Hat Satellite QA List
: FutureFeature, Patch
Depends On:
Blocks: spacewalk-rfe space23
  Show dependency treegraph
 
Reported: 2012-02-22 16:28 EST by Adam
Modified: 2015-04-14 15:04 EDT (History)
3 users (show)

See Also:
Fixed In Version: spacewalk-java-2.3.79
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
: 1156337 (view as bug list)
Environment:
Last Closed: 2015-04-14 15:04:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam 2012-02-22 16:28:08 EST
Description of problem:
There is currently no automated method to clone an activation key.  An option similar to clone kickstart would help users in creating new keys based off of old ones.

This would help assure the user that the new key was exactly the same as the old key with the exception of any changes made afterwards by the user.
Comment 1 Tomas Lestach 2012-02-23 04:20:42 EST
Right, there's no option to clone an activation key.
However a set of API calls from the activationkey namespace can substitute the clone process very well by creating a new activation key and setting it's parameters according the original activation key.

Check 
https://<spacewalk/rhn/apidoc/handlers/ActivationKeyHandler.jsp
for more details.
Comment 2 Dimitar Yordanov 2014-10-24 05:51:01 EDT
Fixed in SW: e8d7c7caf1ae8d79894a5af49707abd20387b285
Comment 3 Stephen Herr 2014-11-13 14:35:09 EST
Accepting patch from pull request https://github.com/spacewalkproject/spacewalk/pull/128 to fix cloning keys that have config channels attached (if the name and label on the config channel are not the same.

Committing to Spacewalk master:
982e636032ded124fde55808b1c38a3c2dc58d80
Comment 4 Stephen Herr 2014-11-13 14:45:06 EST
Refreshing after cloning an activation key should not cause another copy to get cloned.

Committing to Spacewalk master:
846f990e8596df239e2d48d2a97f16cdf74e7c79
Comment 5 Grant Gainey 2015-03-23 12:59:39 EDT
Moving bugs to ON_QA as we move to release Spacewalk 2.3
Comment 6 Grant Gainey 2015-04-14 15:04:13 EDT
Spacewalk 2.3 has been released. See

https://fedorahosted.org/spacewalk/wiki/ReleaseNotes23

Note You need to log in before you can comment on or make changes to this bug.